%define	debug_package %{nil}

%if 0%{?centos} == 6
%global         with_python2 1
%endif

%if 0%{?fedora} || 0%{?centos} >= 7
%global         with_python3 1
%endif

%if 0%{?centos}0%{?amzn} == 70
%define python3_pkgversion 36
%endif

Name:		libfsntfs
Version:	20231125
Release:	1%{?dist}
Summary:	Library to access the Windows NT File System (NTFS) format
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-experimental-%{version}.tar.gz
URL:		https://github.com/libyal/libfsntfs/wiki
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  autoconf automake pkgconfig gettext-devel libtool
BuildRequires:	openssl-devel fuse-devel  

%description
libfsntfs is a library to access the Windows NT File System (NTFS) format

%package devel
Summary: Header files and libraries for developing applications for libfsntfs
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libfsntfs.

%package tools
Summary: Several tools for reading Windows NT File System (NTFS) volumes
Group: Applications/System
Requires: %{name} = %{version}-%{release}

%description tools
Several tools for reading the Windows NT File System (NTFS) volumes

%prep
%setup -q

%if 0%{?with_python2}
%package python2
Summary: Python bindings for libfsntfs
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release} python
BuildRequires: python2-devel
Obsoletes: %{name}-python < %{version}
Provides: %{name}-python = %{version}

%description python2
Python bindings for libfsntfs
%endif

%if 0%{?with_python3}
%package python%{python3_pkgversion}
Summary: Python 3 bindings for libfsntfs
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
BuildRequires: python%{python3_pkgversion}
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools
%if ! 0%{?with_python2}
Obsoletes:	%{name}-python2 <= %{version}
%endif

%description python%{python3_pkgversion}
Python 3 bindings for libfsntfs
%endif

%build
%if 0%{?centos} == 7
sudo update-alternatives --set python /usr/bin/python3
%endif
# if [ -f synclibs.sh ]; then sh synclibs.sh; fi
if [ -f autogen.sh  ]; then sh autogen.sh;  fi
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python
find . -type f -exec grep -l system_string_vsnprintf '{}' /dev/null \; | while read f
do
        sed --in-place s/system_string_vsnprintf/vsnprintf/g $f
done
make %{?_smp_mflags}
%if 0%{?centos} == 7
sudo update-alternatives --set python /usr/bin/python2
%endif

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%if 0%{?fedora} >= 36
%else
%{_libdir}/*.la
%endif
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/fsntfsinfo
%attr(755,root,root) %{_bindir}/fsntfsmount
%{_mandir}/man1/*

%if 0%{?with_python2}
%files python2
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python2*/site-packages/*.a
%if 0%{?fedora} >= 36
%else
%{_libdir}/python2*/site-packages/*.la
%endif
%{_libdir}/python2*/site-packages/*.so
%endif

%if 0%{?with_python3}
%files python%{python3_pkgversion}
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python3*/site-packages/*.a
%if 0%{?fedora} >= 36
%else
%{_libdir}/python3*/site-packages/*.la
%endif
%{_libdir}/python3*/site-packages/*.so
%endif

%changelog
* Sat Nov 25 2023 Lawrence R. Rogers <lrr@cert.org> 20231125-1
* Release 20231125-1
	Version as of 20231125.

* Tue Jun 06 2023 Lawrence R. Rogers <lrr@cert.org> 20230606-1
* Release 20230606-1
	Version as of 20230606.

* Thu Apr 27 2023 Lawrence R. Rogers <lrr@cert.org> 20230427-1
* Release 20230427-1
	Version 20230427

* Sun Oct 23 2022 Lawrence R. Rogers <lrr@cert.org> 20221023-1
* Release 20221023-1
	Version 20221023

* Wed Dec 29 2021 Lawrence R. Rogers <lrr@cert.org> 20211229-1
* Release 20211229-1
	Version 20211229

* Sat Oct 23 2021 Lawrence R. Rogers <lrr@cert.org> 20211023-1
* Release 20211023-1
	Version 20211023

* Mon May  3 2021 Lawrence R. Rogers <lrr@cert.org> 20210503-1
* Release 20210503-1
	Version 20210503

* Sat Apr 24 2021 Lawrence R. Rogers <lrr@cert.org> 20210424-1
* Release 20210424-1
	Version 20210424

* Sun Nov 15 2020 Lawrence R. Rogers <lrr@cert.org> 20201115-1
* Release 20201115-1
	Version 20201115.

* Tue Oct 27 2020 Lawrence R. Rogers <lrr@cert.org> 20201027-1
* Release 20201027-1
	Version 20201027.

* Mon Sep 21 2020 Lawrence R. Rogers <lrr@cert.org> 20200921-1
* Release 20200921-1
	Version 20200921.

* Wed Aug  5 2020 Lawrence R. Rogers <lrr@cert.org> 20200805-1
* Release 20200805-1
	Version 20200805.

* Mon Aug  3 2020 Lawrence R. Rogers <lrr@cert.org> 20200803-1
* Release 20200803-1
	Version 20200803.

* Sun Jul 26 2020 Lawrence R. Rogers <lrr@cert.org> 20200726-1
* Release 20200726-1
	Version 20200726.

* Sat Jun 27 2020 Lawrence R. Rogers <lrr@cert.org> 20200627-1
* Release 20200627-1
	Version 20200627.

* Wed May  6 2020 Lawrence R. Rogers <lrr@cert.org> 20200506-1
* Release 20200506-1
	Version 20200506.

* Tue May  5 2020 Lawrence R. Rogers <lrr@cert.org> 20200505-1
* Release 20200505-1
	Version 20200505.

* Tue Apr 28 2020 Lawrence R. Rogers <lrr@cert.org> 20200428-1
* Release 20200428-1
	Version 20200428.

* Fri Apr 24 2020 Lawrence R. Rogers <lrr@cert.org> 20200424-1
* Release 20200424-1
	Version 20200424.

* Thu Apr 16 2020 Lawrence R. Rogers <lrr@cert.org> 20200416-1
* Release 20200416-1
	Version 20200416.

* Sun Feb 23 2020 Lawrence R. Rogers <lrr@cert.org> 20200223-1
* Release 20200223-1
	Version 20200223.

* Tue Feb  4 2020 Lawrence R. Rogers <lrr@cert.org> 20200201-2
* Release 20200201-2
	Python 3 package now obsoletes Python 2 package

* Sat Feb  1 2020 Lawrence R. Rogers <lrr@cert.org> 20200201-1
* Release 20200201-1
	Version 20200201
	Python 2 is now optional and not built by default.

* Sat Dec 21 2019 Lawrence R. Rogers <lrr@cert.org> 20191221-1
* Release 20191221-1
	Version 20191221

* Wed Dec 18 2019 Lawrence R. Rogers <lrr@cert.org> 20191218-1
* Release 20191218-1
	Version 20191218.

* Sun Dec  1 2019 Lawrence R. Rogers <lrr@cert.org> 20191201-1
* Release 20191201-1
	Version 20191201.

* Sat May 18 2019 Lawrence R. Rogers <lrr@cert.org> 20190104-5
* Release 20190104-5
	Version 20190104-5: Uses python3_pkgversion for the current version of Python 3.

* Tue Apr  9 2019 Lawrence R. Rogers <lrr@cert.org> 20190104-4
* Release 20190104-4
        Release 4 - Rebuilt for Python 3.6 for CentOS/RHEL 7

* Tue Feb 12 2019 Lawrence R. Rogers <lrr@cert.org> 20190104-3
* Release 20190104-3
	Release 3 - Removed conflicts when that arise when python2 and python 3
		    versions are attempted to be installed on a system.

* Mon Jan 28 2019 Lawrence R. Rogers <lrr@cert.org> 20190104-2
* Release 20190104-2
        Version as of 20190104
	-python packages renamed to -python2

* Fri Jan  4 2019 Lawrence R. Rogers <lrr@cert.org> 20190104-1
* Release 20190104-1
	Version 20190104.

* Thu Nov  1 2018 Lawrence R. Rogers <lrr@cert.org> 20181101-1
* Release 20181101-1
	Version 20181101.

* Wed Mar 15 2017 Lawrence R. Rogers <lrr@cert.org> 20170315-1
* Release 20170315-1
	Version 20170315

* Mon Apr 18 2016 Lawrence R. Rogers <lrr@cert.org> 20160418-1
* Release 20160418-1
	20160418
	* Worked on security descriptor support

	20160417
	* Worked on security descriptor support

	20160412
	* Worked on security descriptor support

	20160411
	* Worked on security descriptor support

	20160109
	* fixes for rpmbuild

* Fri Jan  8 2016 Lawrence R. Rogers <lrr@cert.org> 20160108-1
* Release 20160108-1
	20160108
	* worked on Python 3 support
	* 2016 update

	20151225
	* applied updates

* Sat Dec  5 2015 Lawrence R. Rogers <lrr@cert.org> 20151205-1
* Release 20151205-1
	20151205
	* worked on Python bindings

	20151130
	* worked on USN change journal

	20151106
	* worked on USN change journal

	20151105
	* renamed update journal to USN change journal

	20151104
	* worked on update (or change) journal

	20151008
	* worked on update (or change) journal

	20151005
	* worked on update (or change) journal

* Sun Sep  6 2015 Lawrence R. Rogers <lrr@cert.org> 20150906-1
* Release 20150906-1
	20150906
	* worked on Python bindings

	20150902
	* update libfusn

	20150831
	* worked on Python bindings
	* removed is_mft_attribute_list_element

* Sat Aug 29 2015 Joachim Metz <joachim.metz@gmail.com> 20150829-1
- Auto-generated

